package com.zhgd.xmgl.modules.basicdata.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhgd.xmgl.modules.basicdata.entity.Enterprise;
import com.zhgd.xmgl.modules.basicdata.vo.EnterpriseVo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 企业信息
 * @author： pds
 * @date：   2023-02-15
 * @version： V1.0
 */
public interface IEnterpriseService extends IService<Enterprise> {

    Page<Enterprise> pageList(Map<String, Object> map);

    boolean saveInfo(EnterpriseVo enterpriseVo);

    boolean updateInfo(Enterprise enterprise, Integer suggest);

    EnterpriseVo getDetailById(Long enterpriseId);

    List<Enterprise> listByMainType(Integer mainType);
}
